//Code adapted from a great example by Victor Boucher
const endpoint = 'https://opendata.rdw.nl/resource/t5pc-eb34.json'
const selectedColumn = 'areaid'

//Get data from endpoint and select a column 
getData(endpoint)
  .then(data => {
  	console.log("all data:", data)
  	console.log("one datum", data[0])
    const filteredData = filterData(data, selectedColumn)
    console.log(filteredData)
  	return filteredData
  })
  .then(filteredData => {
      processData(filteredData)
	})

async function getData(url){
    const response = await fetch(url)
    const data = await response.json()
    return data
}

function filterData(data, column){
    return data.map(result => result[column])
}

function processData(data)
{
 	//Some function where we can do something with the cleaned and filtered data
  // Like making a data visualization
  const uniqueValues = listUnique(data)
  //LEts try to get all locations with the word west in them for practice
	const valuesWithWest = data.filter(value => value.includes('WEST'))
  console.log(valuesWithWest)

}

//List unique values in column
function listUnique(dataArray){
	//shorthand version using Set
  return [...new Set(dataArray)]
}